Bug 1797043 - [4.2] [egressIP] The iptables related to stale egress ip was not removed.
Summary: [4.2] [egressIP] The iptables related to stale egress ip was not removed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Dan Winship
QA Contact: huirwang
URL:
Whiteboard:
Depends On: 1787488
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 19:23 UTC by Dan Winship
Modified: 2020-04-03 11:44 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A previous Egress IP bugfix did not fully clean up after removed Egress IPs. Consequence: Harmless extra iptables rules could be left behind on a node in some cases. Fix: The extra rules are now removed if they are no longer being used. Result: No extra rules
Clone Of: 1787488
Environment:
Last Closed: 2020-03-18 08:58:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift sdn pull 101 None closed Bug 1797043: [4.2] Clean up stale egress IP iptables rules on startup 2020-04-17 13:30:10 UTC
Red Hat Knowledge Base (Solution) 4902611 None None None 2020-03-13 12:28:05 UTC
Red Hat Product Errata RHBA-2020:0787 None None None 2020-03-18 08:58:15 UTC

Comment 5 errata-xmlrpc 2020-03-18 08:58:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0787


Note You need to log in before you can comment on or make changes to this bug.